
public class Class558 {

   Class253 aClass253_7473;
   Class564 aClass564_7474 = new Class564(64);
   Class253 aClass253_7475;
   Class564 aClass564_7476 = new Class564(20);


   public Class558(Class481 var1, Class470 var2, Class253 var3, Class253 var4) {
      this.aClass253_7473 = var4;
      this.aClass253_7475 = var3;
      this.aClass253_7475.method4514(2022937823 * Class115.aClass115_1150.anInt1177, 1599979534);
   }

   public Class556 method11891(int var1, int var2) {
      Class564 var3 = this.aClass564_7474;
      Class556 var4;
      synchronized(var3) {
         var4 = (Class556)this.aClass564_7474.method11959((long)var1);
      }

      if(var4 != null) {
         return var4;
      } else {
         Class253 var5 = this.aClass253_7475;
         byte[] var12;
         synchronized(var5) {
            var12 = this.aClass253_7475.method4547(2022937823 * Class115.aClass115_1150.anInt1177, var1, (byte)48);
         }

         var4 = new Class556();
         var4.aClass558_7466 = this;
         if(null != var12) {
            var4.method11858(new RS2Buffer(var12), 1187825072);
         }

         Class564 var11 = this.aClass564_7474;
         synchronized(var11) {
            this.aClass564_7474.method11958(var4, (long)var1);
            return var4;
         }
      }
   }

   public void method11892(byte var1) {
      Class564 var2 = this.aClass564_7474;
      synchronized(var2) {
         this.aClass564_7474.method11976((byte)29);
      }

      var2 = this.aClass564_7476;
      synchronized(var2) {
         this.aClass564_7476.method11976((byte)51);
      }
   }

   public void method11893(int var1, byte var2) {
      Class564 var3 = this.aClass564_7474;
      synchronized(var3) {
         this.aClass564_7474.method11963(var1, (byte)-66);
      }

      var3 = this.aClass564_7476;
      synchronized(var3) {
         this.aClass564_7476.method11963(var1, (byte)-43);
      }
   }

   public void method11894(byte var1) {
      Class564 var2 = this.aClass564_7474;
      synchronized(var2) {
         this.aClass564_7474.method11968((short)-2209);
      }

      var2 = this.aClass564_7476;
      synchronized(var2) {
         this.aClass564_7476.method11968((short)-31885);
      }
   }

   public Class556 method11895(int var1) {
      Class564 var2 = this.aClass564_7474;
      Class556 var3;
      synchronized(var2) {
         var3 = (Class556)this.aClass564_7474.method11959((long)var1);
      }

      if(var3 != null) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_7475;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_7475.method4547(2022937823 * Class115.aClass115_1150.anInt1177, var1, (byte)-29);
         }

         var3 = new Class556();
         var3.aClass558_7466 = this;
         if(null != var10) {
            var3.method11858(new RS2Buffer(var10), 202196813);
         }

         Class564 var11 = this.aClass564_7474;
         synchronized(var11) {
            this.aClass564_7474.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public void method11896() {
      Class564 var1 = this.aClass564_7474;
      synchronized(var1) {
         this.aClass564_7474.method11968((short)-3572);
      }

      var1 = this.aClass564_7476;
      synchronized(var1) {
         this.aClass564_7476.method11968((short)-10025);
      }
   }

   public Class556 method11897(int var1) {
      Class564 var2 = this.aClass564_7474;
      Class556 var3;
      synchronized(var2) {
         var3 = (Class556)this.aClass564_7474.method11959((long)var1);
      }

      if(var3 != null) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_7475;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_7475.method4547(2022937823 * Class115.aClass115_1150.anInt1177, var1, (byte)-16);
         }

         var3 = new Class556();
         var3.aClass558_7466 = this;
         if(null != var10) {
            var3.method11858(new RS2Buffer(var10), 1731322365);
         }

         Class564 var11 = this.aClass564_7474;
         synchronized(var11) {
            this.aClass564_7474.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public Class556 method11898(int var1) {
      Class564 var2 = this.aClass564_7474;
      Class556 var3;
      synchronized(var2) {
         var3 = (Class556)this.aClass564_7474.method11959((long)var1);
      }

      if(var3 != null) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_7475;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_7475.method4547(2022937823 * Class115.aClass115_1150.anInt1177, var1, (byte)42);
         }

         var3 = new Class556();
         var3.aClass558_7466 = this;
         if(null != var10) {
            var3.method11858(new RS2Buffer(var10), 864981513);
         }

         Class564 var11 = this.aClass564_7474;
         synchronized(var11) {
            this.aClass564_7474.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public Class556 method11899(int var1) {
      Class564 var2 = this.aClass564_7474;
      Class556 var3;
      synchronized(var2) {
         var3 = (Class556)this.aClass564_7474.method11959((long)var1);
      }

      if(var3 != null) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_7475;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_7475.method4547(2022937823 * Class115.aClass115_1150.anInt1177, var1, (byte)-33);
         }

         var3 = new Class556();
         var3.aClass558_7466 = this;
         if(null != var10) {
            var3.method11858(new RS2Buffer(var10), 117868964);
         }

         Class564 var11 = this.aClass564_7474;
         synchronized(var11) {
            this.aClass564_7474.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public void method11900(int var1) {
      Class564 var2 = this.aClass564_7474;
      synchronized(var2) {
         this.aClass564_7474.method11963(var1, (byte)-56);
      }

      var2 = this.aClass564_7476;
      synchronized(var2) {
         this.aClass564_7476.method11963(var1, (byte)-4);
      }
   }

   public void method11901() {
      Class564 var1 = this.aClass564_7474;
      synchronized(var1) {
         this.aClass564_7474.method11968((short)-22666);
      }

      var1 = this.aClass564_7476;
      synchronized(var1) {
         this.aClass564_7476.method11968((short)-10266);
      }
   }

   public void method11902() {
      Class564 var1 = this.aClass564_7474;
      synchronized(var1) {
         this.aClass564_7474.method11976((byte)62);
      }

      var1 = this.aClass564_7476;
      synchronized(var1) {
         this.aClass564_7476.method11976((byte)10);
      }
   }

   static final void method11903(Class508 var0, byte var1) {
      Class225_Sub17_Sub5.method15772(16777215);
   }

   static final void method11904(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, -1719233433);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class493.method8277(var3, var4, var0, -608440900);
   }
}
